OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces
ConstantFolding.h File Reference

Constant folding for C++ bindings. More...

`#include "Types.h"`
`#include <openvdb/version.h>`
`#include <llvm/IR/Constants.h>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | ConstantFolder< SignatureT, I >
| Constant folding support structure. More...
struct | ConstantFolder< SignatureT, 0 >

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::ax
namespace | openvdb::v11_0::ax::codegen

## Detailed Description

Constant folding for C++ bindings.

Authors
  Nick Avramoussis